Subject: Fwd: Individual key identification

From: Alain LaBonté SCT <[email-masked]>
Date: Tue, 02 Sep 1997 16:28:45

>From: Harald Greiner <[email-masked]>
>Subject: Individual key identification
>Mime-Version: 1.0
>Content-Type: text/plain; charset="us-ascii"
>
>Alain,
>
>in one of your replys to the unicode mailing list you mentioned

[Alain] :
>> In absence of LCD
>> keys, it would also be desirable that keyboards identify what set is
>> engraved on keys (that is a requirement if keyboards are to be 
portable and
>> "plug-and-play", how it is done is soemething else [there are many
>> economical ways to do this and we, in JTC1/SC18/WG9, have already 
seen
>> Japanese calculators in which you could completely scramble the 
detachable
>> individual keys, put the digits in any order in the matrix, and that 
still
>> worked as engraved on the keys -- DIP swiches automatically set by 
one
>> keycap could also be used], in particular for handicapped people who 
switch
>> to different environments).

[Harald] :
>This sounds facinating. I would like to learn more about the method(s) 
used
>to detect that a key with a specific engraving was pressed no matter 
how
>the keys are scrambled in a matrix. I would appreciate any hint from 
you
>on how, where or from whom I could get more information.

[Alain] :
This was (I believe I remember that this was the explanation) a 4-bit
magnetic identification of each key imbedded in the plastic keys which
looked like those on the patience games that we used to play with when we
were young (with a magnetic detector in each place holder). I saw this in
Japan in 1990, during an SC18/WG9 meeting (my first trip to Japan). It was
a RICOH (or was it Toshiba? I don't remember) employee, I believe, who
brought this to us, a real device of which one was given to our rapporteur,
Yves Neuville, who lives in Paris. 

I never saw one again (even in stores in japan, where I have been 6 times
since that time). He said that the technology was limited to 4 bits at the
time. That's all what I know. No more precise details.

For the DIP switch mechanical setting, it is my idea (unpatented but I
don't miss such ideas of inventions which I don't have the money to patent
(; )

Alain LaBonté
Québec

cc SC18/WG9
______________
> 
>Best regards,
>Harald
>
>    ____________________________________     /_ __  H E W L E T T        
>                                            / //_/  P A C K A R D
>___  Harald Greiner, Dipl. Ing. (BA)          /                     
>     Patient Monitoring Division, R&D    ____________________________
>     Project Manager                       
>     Low Cost Monitors & Networks        Hewlett-Packard GmbH
>                                         Medizinelektronik
>     Phone   (49) (7031) 14-3261         Schickardstrasse 4
>     Fax     (49) (7031) 14-1835         D-71034 Boeblingen
>     Email [email-masked]
>                                         PO BOX 1427
>     Telnet  778-3261                    D-71004 Boeblingen
>                                         Germany
>
>P.S. During the Unicode conference Gerhard Tivig will show and talk
>     about our low cost patient monitor which is based on Unicode.
>
>
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com